Subject: Re: [PATCH] powerpc: remove default=y from PMAC and CHRP Kconfigs

From: Sven Luther <[email-masked]>
Date: Thu, 9 Oct 2008 23:28:21 +0200

On Thu, Oct 09, 2008 at 04:14:36PM -0500, Timur Tabi wrote:
> On Thu, Oct 9, 2008 at 3:18 PM, Sven Luther <[email-masked]> wrote:
> >> Not really true.  Having the default be disabled for specific
> >> platforms can make a big difference in compile time.
> >
> > Notice that the defconfigs answer also applies here :)
> 
> Not really.  In order for me to create a new defconfig for an embedded
> platform, I have to turn *off* CHRP *and* PMAC support, and then turn
> on whatever platform I want.
> 
> That's the point behind my patch.  The default is on, so anyone
> creating a non-CHRP or non-PMAC platform has to do extra work.
> 
> And the argument that embedded platforms aren't as important as the
> exalted CHRP is bollocks.  All platforms should be treated equally.
> And like I said earlier, PMAC platforms aren't even being built any
> more, so it's ridiculous to consider that the default.

You just turn it on by default for 64bit and idsable it for 32bit :)

Friendly,

Sven Luther